---
schema_version: "1"
id: 5064d921bd5f8e104953c230febce97c56b91f2b035969bf791fb4c9e060d425
title: Update Product Child Items
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries/cme/guides/comms-t-update-product-child-items.md
canonical_url: https://developer.salesforce.com/docs/industries/cme/guide/comms-t-update-product-child-items.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 3570cf3e55f764b4ab0b6f31bc3985e464985dff55fc3df3abb922840b38f2ab
products:
  - Communications, Media, Energy and Utilities APIs (Managed Package)
  - Industries Developer Documentation
---
# Update Product Child Items

Update the fields of a product child items (PCI) by specifying its ID and the fields to update in the request body.

```nolang
PUT /v2/epc/productchilditems/
```

## Remote Method

```nolang
updatePCI
```

## REST Handler

```nolang
APIProductChildItemRestHandler
```

## Apex Remote Service

```nolang
PCAppHandler
```

## Package

Communication (vlocity_cmt)

## API Parameters and Response Format

For API parameter names and descriptions, see the [Swagger (OpenAPI) reference documentation for Industries EPC REST APIs](https://developer.salesforce.com/docs/industries/cme/references/epc?meta=Summary).


## Resource Information

| Response Format | JSON                                                       |
| --------------- | ---------------------------------------------------------- |
| Resource URL    | `/services/apexrest/{namespace}/v2/epc/productchilditems/` |

## Example Request

```nolang
PUT /v2/epc/productchilditems/


{
    "epcRequest": {
        "entity": {
            "Id": "a3C3h000000Je8oEAC",
            "vlocity_cmt__ChildLineNumber__c": "2"
        }
    }
}

```

## Example Result

```
{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "vlocity_cmt__ProductChildItem__c",
                        "url": "/services/data/v53.0/sobjects/vlocity_cmt__ProductChildItem__c/a3C3h000000Je8oEAC"
                    },
                    "Id": "a3C3h000000Je8oEAC"
                }
            }
        ],
        "overallResult": "success"
    }
```
